# Uses of Class
org.eclipse.mat.snapshot.MultiplePathsFromGCRootsRecord

Packages that use MultiplePathsFromGCRootsRecord
Package
Description
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of MultiplePathsFromGCRootsRecord in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that return MultiplePathsFromGCRootsRecord
Modifier and Type
Method
Description
`MultiplePathsFromGCRootsRecord[]`
MultiplePathsFromGCRootsComputerImpl.`getPathsByGCRoot(IProgressListener progressListener)`

## Uses of MultiplePathsFromGCRootsRecord in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return MultiplePathsFromGCRootsRecord
Modifier and Type
Method
Description
`MultiplePathsFromGCRootsRecord[]`
IMultiplePathsFromGCRootsComputer.`getPathsByGCRoot(IProgressListener progressListener)`
Calculates (if not yet calculated) and returns all the paths.
`MultiplePathsFromGCRootsRecord[]`
MultiplePathsFromGCRootsRecord.`nextLevel()`
Returns the next level of the paths.
Methods in org.eclipse.mat.snapshot that return types with arguments of type MultiplePathsFromGCRootsRecord
Modifier and Type
Method
Description
`static Comparator<MultiplePathsFromGCRootsRecord>`
MultiplePathsFromGCRootsRecord.`getComparatorByNumberOfReferencedObjects()`
Returns a Comparator ordering the records descending by the number of referenced objects.
`static Comparator<MultiplePathsFromGCRootsRecord>`
MultiplePathsFromGCRootsRecord.`getComparatorByReferencedHeapSize()`
Returns a Comparator ordering the records descending by the total size of referenced objects.
`static Comparator<MultiplePathsFromGCRootsRecord>`
MultiplePathsFromGCRootsRecord.`getComparatorByReferencedRetainedSize()`
Returns a Comparator ordering the records descending by the total size of referenced objects.